using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ClipTrimDotNet.Client
{
    public enum PlaybackType
    {
        playStop,
        playOverlap
    }
    public class ClipMetadata
    {
        [JsonProperty(PropertyName = "filename")]
        public string Filename { get; set; }


        [JsonProperty(PropertyName = "name")]
        public string Name { get; set; }


        [JsonProperty(PropertyName = "volume")]
        public double Volume { get; set; } = 1.0;


        [JsonProperty(PropertyName = "startTime")]
        public double StartTime { get; set; } = 0.0;


        [JsonProperty(PropertyName = "endTime")]
        public double EndTime { get; set; } = 0.0;


        [JsonProperty(PropertyName = "playbackType")]
        [JsonConverter(typeof(StringEnumConverter))]
        public PlaybackType PlaybackType { get; set; } = PlaybackType.playStop;
    }
}
